summaryrefslogtreecommitdiffstats
path: root/desktop/icewm/icewm.SlackBuild
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-12 17:37:52 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-12 17:37:52 +0200
commit05732c5d466db40e45de839e395b4f75e77bad45 (patch)
tree90c9b52790eb53de30bdf14b9a9d4fd0f5d31eb3 /desktop/icewm/icewm.SlackBuild
parentefd047a6437f7ae81fa47b4c66775be83685c0c8 (diff)
downloadslackbuilds-05732c5d466db40e45de839e395b4f75e77bad45.tar.gz
slackbuilds-05732c5d466db40e45de839e395b4f75e77bad45.tar.xz
desktop/icewm: Updated for version 1.2.37
Diffstat (limited to 'desktop/icewm/icewm.SlackBuild')
-rw-r--r--desktop/icewm/icewm.SlackBuild11
1 files changed, 3 insertions, 8 deletions
diff --git a/desktop/icewm/icewm.SlackBuild b/desktop/icewm/icewm.SlackBuild
index cba32238bf..db0c3a9685 100644
--- a/desktop/icewm/icewm.SlackBuild
+++ b/desktop/icewm/icewm.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=icewm
-VERSION=${VERSION:-1.2.36}
+VERSION=${VERSION:-1.2.37}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -67,19 +67,13 @@ CXXFLAGS="$SLKCFLAGS" \
--with-docdir=/usr/doc/$PRGNAM-$VERSION \
--enable-corefonts \
--enable-antialiasing \
- --disable-static \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-( cd $PKG/usr/man || exit 1
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
cp -a AUTHORS BUGS CHANGES COPYING INSTALL PLATFORMS README \
@@ -94,6 +88,7 @@ gzip -9c doc/icewm.1.man > $PKG/usr/man/man1/icewm.1.gz
# Add xinitrc for xwmconfig(1)
mkdir -p $PKG/etc/X11/xinit
cat $CWD/xinitrc.icewm > $PKG/etc/X11/xinit/xinitrc.icewm
+chmod 0755 $PKG/etc/X11/xinit/xinitrc.icewm
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc